# Free Culture Podcasts

## History

The project dates back to 2013 when the idea of keeping a list of Linux,
Making, Hacking and other technical podcasts was suggested. Various attempts
to build such a system were made, culminating in a Perl script called
`feedWatcher` which maintained a SQLite database of podcast feeds.

For the FOSDEM meeting of 2020 a table was obtained to represent as many of
the Free Culture podcasts whose details could be collected. The name *Free
Culture Podcasts* was used, a website created
(<https://freeculturepodcasts.org>) and `feedWatcher` enhanced to generate the
HTML to populate it.

Other reports were generated for handouts, etc. The FOSDEM table was deemed a
success as it created a fair bit of interest.

## Post COVID

Another table was requested at FOSDEM for the 2023 meeting, which unlike the
previous years, was in-person.

## The `feedWatcher` script and the database

No significant development has been carried out since 2020. The script is
still capable of generating HTML reports and other listings using `TT²`
(Template Toolkit) templates.

More podcast URLs have been added to the database. Several were provided by
the HPR host 'norrist'. A process of scanning the `#podcast` hashtag on
Mastodon has also turned up some potential additions.

The original design of the script was to be able to scan feeds already in the
database to determine their status. This was planned to enable deleted and
*fading* feeds to be spotted. As feeds are loaded into the database details of
their enclosures are also stored, so it is possible to give statistics about
feed activity.

Unfortunately, the scan function was not implemented in 2020 and has not been
added since, so this feature is not available yet.

<!--
vim: syntax=markdown:ts=8:sw=4:ai:et:tw=78:fo=tcqn:fdm=marker:com+=fb\:-
-->
